Index · Directives · Python · libudev · gudev systemd 220

## Name

systemd-resolved.service, systemd-resolved — Network Name Resolution manager

## Synopsis

`systemd-resolved.service`

`/usr/lib/systemd/systemd-resolved`

## Description

systemd-resolved is a system service that manages network name resolution. It implements a caching DNS stub resolver and an LLMNR resolver and responder. It also generates `/run/systemd/resolve/resolv.conf` for compatibility which may be symlinked from `/etc/resolv.conf`.

The DNS servers contacted are determined from the global settings in resolved.conf(5), the per-link static settings in `.network` files, and the per-link dynamic settings received over DHCP. See systemd.network(5) for more details.

Note that `/run/systemd/resolve/resolv.conf` should not be used directly, but only through a symlink from `/etc/resolv.conf`.

## See Also

systemd(1), resolved.conf(5), systemd.network(5), systemd-networkd.service(8)